<doctype! html>
<head>
	<meta charset="utf-8">
	<title>Jeux de la fourchette</title>
	<link rel="stylesheet" type="fourchette.css" href="">
</head>

<body>
	<button type="button" id="test">Lance la fourchette</button>
	<button type="button" id="inverse">Lance la fourchette à l'envers</button>

	<img src="fourchette.jpg">
	<script type="text/javascript">
		function fourchette () {
		var personne = prompt("Je pense à un nombre entre 1 et 100..");
		var ordi = Math.floor(Math.random()*100+1);
		var tentative = 9;

		
		while (personne!=ordi){

			if (isNaN(personne)){
				alert("Jai pas compris..");
				personne = prompt("Trouve le chiffre auquel je pense");
			} else {

			if (personne < ordi) {
				alert ("Plus grand. Il te reste "+ tentative-- +".Encore une fois");
			} else {
				alert ("Plus petit. Il te reste "+ tentative-- +".Ne perds pas espoir.");
			}
			personne = prompt("Trouve le chiffre auquel je pense");

			if (tentative == 0){
				alert("Tu ne peux plus jourer.");
				return;
			}
		}
	}
		alert ("Champion !");
	}
	document.getElementById("test").addEventListener("click",fourchette);

		function four (){
		var joueur;
		var min;
		var max;

		min=prompt("Choisis un minimum");
		max=prompt("Choisis un maximum");


		var computer = Math.floor((Number(min)+Number(max))/2);
		
			while (joueur != "super"){
				joueur = prompt ("Je pense au chiffre "+ computer +".");

				if (joueur != "plus" && joueur != "moins" && joueur !="super"){
					alert("j'ai pas compris");
				}

				else {
					if (joueur == "plus"){
						min = computer;
						computer = Math.floor((Number(min)+Number(max))/2);
					}
					else {
						max = computer;
						computer = Math.floor((Number(min)+Number(max))/2);
					}
				}
			}			
			alert ("Champion !");
		}
	document.getElementById("inverse").addEventListener("click",four);
	</script>
</body>